Browse Source

Add deprecation warning to ceilo api

Change-Id: Ie16ddfe87ad75bb1f2c84a2aead6cd1d406a1bfc
changes/96/416296/3
Pradeep Kilambi 5 years ago
parent
commit
6e7688e2e1
  1. 2
      manifests/api.pp
  2. 4
      releasenotes/notes/warn-deprecated-ceilometer-api-77c2744e31644c5e.yaml

2
manifests/api.pp

@ -62,6 +62,8 @@ class ceilometer::api (
include ::ceilometer::params
include ::ceilometer::policy
warning('ceilometer-api has been deprecated in Ocata and will be removed in future. Please use Aodh, Gnocchi and Panko modules instead.')
if $auth_strategy == 'keystone' {
include ::ceilometer::keystone::authtoken
}

4
releasenotes/notes/warn-deprecated-ceilometer-api-77c2744e31644c5e.yaml

@ -0,0 +1,4 @@
---
deprecations:
- ceilometer API has been deprecated in Ocata. Warning the user
when ceilometer::api class is loaded.
Loading…
Cancel
Save